> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablestack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transactions

> API reference for fetching all transactions

Retrieves a list of transactions associated with your account.

### Key Features:

* Supports filtering by transaction ID, customer ID, transaction type, mode, currency, date range, and status
* Allows searching by transaction ID
* Includes pagination metadata

### Query Parameters:

* `customer_id`: Filter by customer ID (`uuid`)
* `search`: Search by transaction ID (partial or full match)
* `status`: Filter by transaction status (`pending`, `completed`, `reversed`, `failed`.)
* `transaction_id`: Filter by exact transaction ID
* `transaction_type`: Filter by type (`deposit`, `payout`, `internal transfer`)
* `transaction_mode`: Filter by mode (`credit`, `debit`)
* `currency`: Filter by currency (`usdc`, `usdt`)
* `start_date`: Filter by start date (format: `YYYY-MM-DD`)
* `end_date`: Filter by end date (format: `YYYY-MM-DD`)
* `page`: Page number (default: 1)
* `limit`: Items per page (default: 10)


## OpenAPI

````yaml GET /transactions
openapi: 3.0.0
info:
  title: 'StableStack: API Service'
  description: "# Overview\n\n##  Introduction\n\nStableStack offers an API first, last mile payment orchestration + liquidity router built with stablecoins. Stablecoin layer integrated into your existing payment flow, with smart accounts and blockchain abstraction. Go between digital and fiat currencies in minutes.\n\n## Getting Help\n\nWe're excited to have you build with us! If you're integrating, we will set up a communication channel. This will enable our teams to easily collaborate and ensure you launch as quickly as possible.\n\nPlease reach out to us at\_[hello@stablestack.xyz](https://mailto:hello@stablestack.xyz)\_for any questions or concerns."
  version: 1.0.0
servers:
  - url: https://api-staging.stablestack.com/api
    description: StableStack API
security: []
tags:
  - name: customers
  - name: customers > kyc
  - name: payouts
  - name: banks
  - name: transactions
  - name: wallets
  - name: assets
  - name: swap
paths:
  /transactions:
    get:
      tags:
        - transactions
      summary: Fetch all transactions
      description: >-
        Retrieves a paginated list of all transactions with comprehensive
        filtering options
      parameters:
        - name: x-api-key
          in: header
          schema:
            type: string
          required: true
          example: merchant_api_key_12345
        - name: customer_id
          in: query
          schema:
            type: string
            format: uuid
          required: false
          example: ddf723ee-5558-442d-b46f-4e3d42817448
        - name: search
          in: query
          schema:
            type: string
          required: false
          example: UGTR589JKL
        - name: status
          in: query
          schema:
            type: string
            enum:
              - PENDING
              - COMPLETED
              - REVERSED
              - FAILED
          required: false
          example: PENDING
        - name: transaction_id
          in: query
          schema:
            type: string
          required: false
          example: UGTR589JKL
        - name: transaction_type
          in: query
          schema:
            type: string
            enum:
              - DEPOSIT
              - PAYOUT
              - INTERNAL TRANSFER
          required: false
          example: DEPOSIT
        - name: transaction_mode
          in: query
          schema:
            type: string
            enum:
              - CREDIT
              - DEBIT
          required: false
          example: CREDIT
        - name: currency
          in: query
          schema:
            type: string
            enum:
              - USDC
          required: false
          example: USD
        - name: start_date
          in: query
          schema:
            type: string
            format: date
          required: false
          example: '2025-03-03'
        - name: end_date
          in: query
          schema:
            type: string
            format: date
          required: false
          example: '2025-04-29'
        - name: page
          in: query
          schema:
            type: integer
            minimum: 1
          required: false
          example: 1
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
          required: false
          example: 20
      responses:
        '200':
          description: Transactions retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          example: 78f599ba-cddd-49fb-809a-246d0471d836
                        sender_wallet_id:
                          type: string
                          format: uuid
                          nullable: true
                        receiver_wallet_id:
                          type: string
                          format: uuid
                          nullable: true
                        transaction_id:
                          type: string
                          example: IWGAHO83UD
                        asset_code:
                          type: string
                          example: USDC
                        amount:
                          type: string
                          example: '12.00000000'
                        reference_id:
                          type: string
                          example: a988fc09-72e3-44f4-834d-2210cb4c9982
                        status:
                          type: string
                          example: PENDING
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        crypto_transaction_id:
                          type: string
                          nullable: true
                        network:
                          type: string
                          nullable: true
                        transaction_type:
                          type: string
                          example: PAYOUT
                        transaction_mode:
                          type: string
                          example: DEBIT
                        exchange_rate:
                          type: string
                          example: '1616.00'
                          nullable: true
                        withdrawal_recipient_name:
                          type: string
                          nullable: true
                          example: John Doe
                        fee:
                          type: string
                          example: '50.00'
                          nullable: true
                        balance:
                          type: string
                          example: '0.00000000'
                        reason:
                          type: string
                          example: Withdraw to 1234567890/000004
                          nullable: true
                        customer_id:
                          type: string
                          format: uuid
                          nullable: true
                        recipient_currency:
                          type: string
                          example: NGN
                          nullable: true
                        recipient_country:
                          type: string
                          example: Nigeria
                          nullable: true
                        bank_name:
                          type: string
                          example: Example Bank
                          nullable: true
                        bank_code:
                          type: string
                          example: '000004'
                          nullable: true
                        address:
                          type: string
                          nullable: true
                        bank_account:
                          type: string
                          example: '1234567890'
                          nullable: true
                  pagination:
                    type: object
                    properties:
                      total:
                        type: integer
                        example: 2
                      page:
                        type: integer
                        example: 1
                      limit:
                        type: integer
                        example: 10
                      totalPages:
                        type: integer
                        example: 1
              examples:
                success:
                  value:
                    status: success
                    data:
                      - id: 78f599ba-cddd-49fb-809a-246d0471d836
                        sender_wallet_id: null
                        receiver_wallet_id: null
                        transaction_id: IWGAHO83UD
                        asset_code: USDC
                        amount: '12.00000000'
                        reference_id: a988fc09-72e3-44f4-834d-2210cb4c9982
                        status: PENDING
                        created_at: '2025-05-20T19:49:30.295Z'
                        updated_at: '2025-05-20T19:49:30.295Z'
                        crypto_transaction_id: null
                        network: null
                        transaction_type: PAYOUT
                        transaction_mode: DEBIT
                        exchange_rate: '1616.00'
                        withdrawal_recipient_name: John Doe
                        fee: '50.00'
                        balance: '0.00000000'
                        reason: Withdraw to 1234567890/000004
                        customer_id: null
                        recipient_currency: NGN
                        recipient_country: Nigeria
                        bank_name: Example Bank
                        bank_code: '000004'
                        address: null
                        bank_account: '1234567890'
                      - id: 94f18946-9976-4b01-bbf2-7dda9f0c9fc7
                        sender_wallet_id: null
                        receiver_wallet_id: null
                        transaction_id: WDOG7EK8Q1
                        asset_code: USDC
                        amount: '55.00000000'
                        reference_id: e8131542-0d71-4d93-8415-d07d357145f6
                        status: PENDING
                        created_at: '2025-05-19T08:55:58.220Z'
                        updated_at: '2025-05-19T08:55:58.220Z'
                        crypto_transaction_id: null
                        network: null
                        transaction_type: PAYOUT
                        transaction_mode: DEBIT
                        exchange_rate: '1611.74'
                        withdrawal_recipient_name: Jane Smith
                        fee: '50.00'
                        balance: '0.00000000'
                        reason: Withdraw to 9876543210/000004
                        customer_id: null
                        recipient_currency: NGN
                        recipient_country: Nigeria
                        bank_name: Sample Bank
                        bank_code: '000004'
                        address: null
                        bank_account: '9876543210'
                    pagination:
                      total: 2
                      page: 1
                      limit: 10
                      totalPages: 1
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Invalid date format. Please use YYYY-MM-DD
                  code:
                    type: string
                    example: INVALID_DATE_FORMAT
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Authentication required
                  code:
                    type: string
                    example: UNAUTHORIZED
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Too many requests
                  code:
                    type: string
                    example: RATE_LIMIT_EXCEEDED

````